#include "vision.h"
#include <cassert>

std::vector<int> getVisionPattern1d()
{
    return {1, 2, 3};
}

int getMove1d(std::vector<int> v)
{
    assert(v.size() == 3 || v.size() == 5 || v.size() == 7);
    if (v.size() == 3) {
        assert(v[1] == 1);
        if (v[0] == 3) return 0;
        return 2;
    }
    if (v.size() == 5) {
        assert(v[2] == 2);
        if (v[1] == 3) return 0;
        return 4;
    }
    assert(v[3] == 3);
    if (v[2] == 1) return 0;
    return 6;
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
